@use 'variables/colors' as colors;

// SCSS Helpers
@mixin bg-img($size, $pos) {
	background-size: $size;
	background-position: $pos;
	background-repeat: no-repeat;
}

%hover-opacity {
	transition: .3s ease;
	&:hover { opacity: .8; }
}

%logo {
    @include bg-img(contain, 50%);
    @extend %hover-opacity;
    background-image: url('../img/logo.svg');
    display: inline-block;
    width: 173px;
    height: 22px;
    margin-right: 36px;
    margin-top: -4px;
}

// Classes
.block { display: block; }
.i-block { display: inline-block; }
.flex {	display: flex; }
.i-flex { display: inline-flex; }
.flex, .i-flex {
	&.fdc { flex-direction: column; }
	&.aic { align-items: center; }
	&.aife { align-items: flex-end; }
	&.jcc { justify-content: center; }
	&.jcfe { justify-content: flex-end; }
	&.jcsb { justify-content: space-between; }
	&.aifs { align-items: flex-start; }
	&.ais { align-items: stretch; }
}

.f-left { float: left; }
.f-right { float: right; }

.abs { position: absolute; }
.rel { position: relative; }
.fix { position: fixed; }

.text-center { text-align: center; }

.vertical-center {
    display: flex;
    align-items: center;
    min-height: 100%;
}

.m-center { margin: 0 auto; }
.w100 { width: 100%; }

.pointer-events-none { pointer-events: none; }

.bg-icon { display: inline-block; background-position: 50%; background-repeat: no-repeat; background-size: contain; }

.bg-image-cover {
    background-position: 50%; background-repeat: no-repeat; background-size: cover;
}

.caps { text-transform: uppercase; }


.bg-red,
.box.bg-red { background-color: colors.$red; }

.c-white { color: colors.$white; }
.c-red { color: colors.$red; }
